<?php

/*
+--------------------------------------------------------+
| PHP-Fusion Content Management System                   |
| Copyright  2002 - 2012 Nick Jones                     |
| http://www.php-fusion.co.uk/                           |
+--------------------------------------------------------+
| This program is released as free software under the    |
| Affero GPL license. You can redistribute it and/or     |
| modify it under the terms of this license which you    |
| can read by viewing the included agpl.txt or online    |
| at www.gnu.org/licenses/agpl.html. Removal of this     |
| copyright header is strictly prohibited without        |
| written permission from the original author(s).        |
+--------------------------------------------------------+
| News Accordion Panel                                   |
| Copyright  2012 PHP-Fusion.at Development Team        |
| http://www.php-fusion.at/                              |
| http://development.php-fusion.at/                      |
+--------------------------------------------------------+
| Filename: news_accordion_panel.php                     |
| Fileversion: 1.0                                       |
+--------------------------------------------------------+
*/

if (!defined("IN_FUSION")) {
	die("Access Diened!");
}

// Load Locale
if (file_exists(INFUSIONS."news_accordion_panel/locale/".LOCALESET."/index.php")) {
	require_once INFUSIONS."news_accordion_panel/locale/".LOCALESET."/index.php";
} else {
	require_once INFUSIONS."news_accordion_panel/locale/English/index.php";
}

$result = dbquery("SELECT
	n.news_id, n.news_subject, n.news_image_t2, n.news_news, n.news_extended, n.news_breaks, nc.news_cat_id, nc.news_cat_name, nc.news_cat_image
	FROM ".DB_NEWS." AS n
	LEFT JOIN ".DB_NEWS_CATS." AS nc ON n.news_cat=nc.news_cat_id
	WHERE ".groupaccess('n.news_visibility')." AND n.news_draft='0' AND (n.news_start='0' || n.news_start <= '".time()."') AND (n.news_end='0' || n.news_end >= '".time()."')
	ORDER BY n.news_sticky DESC, n.news_datestamp DESC
	LIMIT 0,5
");

opentable($locale['news-accordion-title-001']);
if (dbrows($result)) {
	
	echo "<div id='news-accordion'>\n";
	$i = 1;
	while ($data = dbarray($result)) {
		$_news = stripslashes(($data['news_news'] ? $data['news_news'] : $data['news_extended']));
		$_news = ($data['news_breaks'] == "y" ? nl2br($_news) : $_news);
		$_catimage = "<a href='".(!$settings['news_image_link'] ? BASEDIR."news_cats.php?cat_id=".$data['news_cat_id'] : BASEDIR."news.php?readmore=".$data['news_id'])."'>";
		if ($data['news_image_t2'] && !$settings['news_image_frontpage']) {
			$_catimage .= "<img src='".IMAGES_N_T.$data['news_image_t2']."' alt='".$data['news_subject']."' class='news-category' /></a>\n";
		} elseif ($data['news_cat_image']) {
			$_catimage .= "<img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' class='news-category' /></a>\n";
		} else {
			$_catimage = "";
		}
		
		echo "<!-- News Item #".$i." -->\n";
		echo "<h3 class='tbl2'>\n";
			echo "<div class='nac-one'><a href='#' title='".$data['news_subject']."'>".$data['news_subject']."</a></div>\n";
			echo "<div class='nac-two'>".strftime("%d.%m.%Y", $data['news_datestamp'])."</div>\n";
			echo "<div class='nac-clear'></div>\n";
		echo "</h3>\n";
		echo "<div class='tbl1'>\n";
			echo $_catimage.$_news;
			echo "<div class='nac-clear'></div>\n";
		echo "</div>\n";
		echo "<!-- News Item #".$i." -->\n";
		$i++;
	}
	echo "</div>\n";
	
} else {
	echo "<center><em>".$locale['news-accordion-message-001']."</em></center>\n";
}
closetable();
echo "<div class='nac-copyright'><a href='http://www.php-fusion.at/' title='Copyright &copy; PHP-Fusion.at' target='_blank'>&copy;</a></div>\n";

// Add Stylesheets to Header
add_to_head("<!-- Stylesheets for News Accordion -->");
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_accordion_panel/_style.css' type='text/css' media='screen' />");
add_to_head("<!-- Stylesheets for News Accordion -->");

// Add Javascripts to Footer
add_to_footer("<!-- Javascripts for News Accordion -->");
add_to_footer("<script type='text/javascript' src='".INCLUDES."jquery/jquery-ui.js'></script>");
add_to_footer("<script type='text/javascript' src='".INFUSIONS."news_accordion_panel/_javascript.js'></script>");
add_to_footer("<!-- Javascripts for News Accordion -->");

?>